Name:           gonvert
Version:        0.2.25
Release:        %mkrel 3
Summary:        Units conversion utility
Group:          Sciences/Mathematics
License:        GPLv2
URL:            http://unihedron.com/projects/gonvert
Source0:        http://unihedron.com/projects/gonvert/downloads/%{name}-%{version}.tar.gz
Patch0:         gonvert-desktop-icon.patch
BuildRequires:  desktop-file-utils
Requires:       python
Requires:       pygtk2.0-libglade
BuildArch:      noarch

%description
gonvert is a conversion utility that allows conversion between many units
like CGS, Ancient, Imperial with many categories like length, mass, numbers,
etc. All units converted values shown at once as you type. Easy to add/change
your own units. Written in Python, pygtk, libglade.


%prep
%setup -q
%patch0 -p0

# remove execute bits from doc files
chmod -x doc/*

# fix encoding on THANKS and TODO files
pushd doc >/dev/null
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 TODO > TODO.conv && mv -f TODO.conv TODO
popd >/dev/null


%build
# there's nothing that needs built

%install
make DESTDIR=%{buildroot} prefix=%{_prefix} install
rm -rf %{buildroot}%{_docdir}/%{name}
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{name}.desktop
rm -rf %{buildroot}/%{_datadir}/gnome/apps/Utilities/gonvert.desktop

%files
%doc doc/CHANGELOG doc/FAQ doc/README doc/THANKS doc/TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/gonvert*.png




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.25-3.mga3
+ Revision: 352410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 solbu <solbu> 0.2.25-2.mga3
+ Revision: 322311
- Fix Group: tag

* Fri Jul 13 2012 solbu <solbu> 0.2.25-1.mga3
+ Revision: 270537
- imported package gonvert

